%% update_undoredo
%    either enables or disables the undo/redo menu items based on the
%    current status of the undo manager.
% inputs:
%   object - current GUI object
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [ ] = update_undoredo( object )
% updates the menu options so that they are either enabled or disabled

if (object.undo_man.undo_level == 0)
    set(object.redo_opt,'Enable','off');
else
    set(object.redo_opt,'Enable','on');
end

if (object.undo_man.current_depth == 0)
    set(object.undo_opt,'Enable','off');
else
    set(object.undo_opt,'Enable','on');
end




end

